Bug 1266775 - machinectl fails to fetch f23 beta raw image because of file name size
machinectl fails to fetch f23 beta raw image because of file name size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 13:24 EDT by François Kooman
Modified: 2015-12-17 02:24 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-222-10.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 02:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Kooman 2015-09-27 13:24:00 EDT
Description of problem:

machinectl complains about file name too long when retrieving image using machinectl.

Version-Release number of selected component (if applicable):

[root@f23beta ~]# rpm -qf `which machinectl`
systemd-222-6.fc23.x86_64
[root@f23beta ~]# 

How reproducible:

always

Steps to Reproduce:

[root@f23beta ~]# machinectl pull-raw --verify=no https://download.fedoraproject.org/pub/fedora/linux/releases/test/23_Beta/Cloud/x86_64/Images/Fedora-Cloud-Base-23_Beta-20150915.x86_64.raw.xz
Enqueued transfer job 1. Press C-c to continue download in background.
Pulling 'https://download.fedoraproject.org/pub/fedora/linux/releases/test/23_Beta/Cloud/x86_64/Images/Fedora-Cloud-Base-23_Beta-20150915.x86_64.raw.xz', saving as 'Fedora-Cloud-Base-23_Beta-20150915.x86_64'.
Downloading 0B for https://download.fedoraproject.org/pub/fedora/linux/releases/test/23_Beta/Cloud/x86_64/Images/Fedora-Cloud-Base-23_Beta-20150915.x86_64.raw.xz.
Downloading 176.1M for https://download.fedoraproject.org/pub/fedora/linux/releases/test/23_Beta/Cloud/x86_64/Images/Fedora-Cloud-Base-23_Beta-20150915.x86_64.raw.xz.
Failed to create /var/lib/machines/.#.raw-https:\x2f\x2fdownload\x2efedoraproject\x2eorg\x2fpub\x2ffedora\x2flinux\x2freleases\x2ftest\x2f23_Beta\x2fCloud\x2fx86_64\x2fImages\x2fFedora-Cloud-Base-23_Beta-20150915\x2ex86_64\x2eraw\x2exz.\x22350033634-b01b944-51fcff9408600\x22.raw5fd3d5fa24b85acb: File name too long
Failed to retrieve image file. (Wrong URL?)
Exiting.
[root@f23beta ~]#

Actual results:

image is not downloaded

Expected results:

image succesfully downloaded.
Comment 1 Jan Synacek 2015-10-08 02:43:24 EDT
Fixed in https://github.com/systemd/systemd/pull/1485.
Comment 2 Fedora Update System 2015-12-14 06:17:56 EST
systemd-222-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 3 Fedora Update System 2015-12-14 07:29:12 EST
systemd-222-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 4 Fedora Update System 2015-12-15 05:54:10 EST
systemd-222-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update systemd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 5 Fedora Update System 2015-12-17 02:23:24 EST
systemd-222-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.